YAM outgoing Gmail server settings problem
  • Just looking around
    Symbola
    Posts: 11 from 2015/9/22
    From: Plymouth, UK
    I have installed Yam (2.9p1), and have it receiving off my own email server (Raspberry PI), however I send out on a Gmail server (to get around reverse DNS)…

    So incoming is working, but outgoing is failing… Although it works on my Windows PC using Thuderbird, in and out.

    The message I get is:-

    Couldn’t connect to host ‘smtp.gmail.com’
    The mail server is currently down or doesn’t support the smtp protocols.

    But it does work in Thunderbird.

    The settings for outgoing are as follows:-

    Active: checked
    Description: Gmail
    Server/Port: smtp.gmail.com 587
    Connection security: STARTTLS
    Authentication: PLAIN
    User name: my gmail username
    Password: my gmail password
    Server allows 8bit characters: checked
    ‘sent’ folder: Sent

    Any suggestions are very welcome…
  • »21.02.17 - 23:34
    Profile Visit Website
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 8984 from 2003/5/22
    From: Germany
    > I have installed Yam (2.9p1) [...]… Any suggestions are very welcome…

    Try YAM 2.10-dev with AmiSSL v4.
  • »21.02.17 - 23:51
    Profile
  • Just looking around
    Symbola
    Posts: 11 from 2015/9/22
    From: Plymouth, UK
    Thanks for the suggestions…

    I installed Yam 2.10, that said I needed AmiSSL v4…

    When trying to install AmiSSL V.4, I get the following error message:-

    Line: 193
    Command: “copyfiles”
    Error message: Unable to locate file or drawer

    This is a fatal error and the installation process will be terminated

    Contact the auther… … …

    Any suggestions? :)
  • »22.02.17 - 00:11
    Profile Visit Website
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 8984 from 2003/5/22
    From: Germany
    > When trying to install AmiSSL V.4, I get the following error message: [...]
    > Any suggestions? :)

    Install manually:

    1. copy amisslmaster.library to Libs:
    2. copy amissl_v110d.library to Libs:AmiSSL/
    3. copy the certificates to Libs:AmiSSL/Certs/
    4. add "assign AmiSSL: Libs:AmiSSL" to S:user-startup
    5. reboot
  • »22.02.17 - 09:55
    Profile
  • Just looking around
    Symbola
    Posts: 11 from 2015/9/22
    From: Plymouth, UK
    Thanks for that info Andreas, I appreciate your assistance…

    I had a small problem where pre-selection did not work, the window froze, did nothing and disappeared. I turned it off in the configuration (TCP/IP -> Receive mail (POP3) -> Pre-selection), I set it to never…

    I now have a working Yam set up, I'm very happy…

    Thanks again for your help :)
  • »22.02.17 - 18:58
    Profile Visit Website
  • Just looking around
    Posts: 20 from 2017/3/16
    There is a serious problem with YAM 2.9pl. It is not possible to send mail with it. I get an arror message that my server address is invalid and the TCP/IP settings are wrong, which is simply untrue. This is therefore a bug, I suppose. Has anyone else got that problem?

    The problem is nonexistent with SimpleMail. I would prefer to use YAM however as it is more sophisticated.

    RD
    -----

    Quote:

    Symbola wrote:
    Thanks for that info Andreas, I appreciate your assistance…

    I had a small problem where pre-selection did not work, the window froze, did nothing and disappeared. I turned it off in the configuration (TCP/IP -> Receive mail (POP3) -> Pre-selection), I set it to never…

    I now have a working Yam set up, I'm very happy…

    Thanks again for your help :)

  • »26.05.17 - 06:30
    Profile
  • Yokemate of Keyboards
    Yokemate of Keyboards
    Andreas_Wolf
    Posts: 8984 from 2003/5/22
    From: Germany
    >> I now have a working Yam set up, I'm very happy…

    > There is a serious problem with YAM 2.9pl.

    The sentence you quoted is about version 2.10-dev, not 2.9p1.
  • »26.05.17 - 07:07
    Profile
  • Just looking around
    Posts: 20 from 2017/3/16
    Sorry Andreas, I meant the Morphos Yam 2.9p1 version. The connection to the mail server is quite flaky and the version 2.10 has the same problem. Thus YAM becomes unusable. SimpleMail does not create those problems and seems much more reliable so far. That is a pity because I had Yam2.4 on my old Amiga and it worked very well, so I miss it.
  • »26.05.17 - 08:05
    Profile